<ng-container *ngIf="group">
  <div class="minds-list">
    <div>
      <minds-activity
        *ngFor="let entity of entities; let i = index"
        class="mdl-card item"
        [object]="entity"
        [canDelete]="group['is:owner'] || group['is:moderator']"
        (delete)="delete(entity)"
        [hideTabs]="true"
      >
        <!-- Menu Actions -->

        <li
          post-menu
          class="mdl-menu__item"
          *ngIf="group['is:owner']"
          (click)="removePrompt(entity?.ownerObj)"
          i18n="@@GROUPS__PROFILE__FEED__REMOVE_USER"
        >
          Remove user
        </li>

        <!-- Review -->

        <div bottom-content class="m-groups-feed--review-actions">
          <button
            class="mdl-button mdl-button--raised mdl-button--colored mdl-color--green-500"
            (click)="approve(entity, i)"
            i18n
          >
            Approve
          </button>

          <button
            class="mdl-button mdl-button--raised mdl-button--colored mdl-color--red-500"
            (click)="reject(entity, i)"
            i18n
          >
            Reject
          </button>
        </div>

        <!-- / -->
      </minds-activity>

      <infinite-scroll
        distance="25%"
        (load)="load()"
        [moreData]="moreData"
        [inProgress]="inProgress"
      ></infinite-scroll>
    </div>
  </div>

  <m-groups__kick-modal
    *ngIf="kicking"
    [user]="kicking"
    [group]="group"
    (closed)="kick(null)"
  ></m-groups__kick-modal>
</ng-container>
